---------------------------------------------------------------
--                                                           
--  ROBOT INTERPRETER
--  By: Martin Carlisle and Keith Shomper     
--                                                           
--  Controls
--  Description : Handle actions on controls in main window 
--                       
--  By: Martin Carlisle
--                                         
-- ROBOT INTERPRETER is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- ROBOT INTERPRETER is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Widget.Button;
package Controls is
   procedure Robot_Up(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Robot_Down(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Robot_Left(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Robot_Right(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Toggle_Light(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Toggle_Robot_Arms(Obj : in out Mcc.Gui.Widget.Button.Button'Class);

   procedure Reset_Robot(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Do_Next(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Stop;
   procedure Stop(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
   procedure Run_Until_Stop(Obj : in out Mcc.Gui.Widget.Button.Button'Class);
end Controls;

