---------------------------------------------------------------
--                                                           
--  ROBOT INTERPRETER
--  By: Martin Carlisle and Keith Shomper     
--                                                           
--  Room_Dialog
--  Description : variables and routines for modifying the
--                room size
--                       
--  By: Martin Carlisle
--                                         
-- ROBOT INTERPRETER is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- ROBOT INTERPRETER is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Widget.Button;
with Simulation_Gui;
package Room_Dialog is
   Room_Size : Simulation_Gui.Room_Size_Type := 10;
   Number_Doors : Natural := 0;
   procedure Ok(Obj : in out Mcc.Gui.Widget.Button.Button'Class);

   -- use to process enter key
   procedure Key_Callback (
      Obj   : in out Mcc.Gui.Sized_Object'Class;
      Event : in     Mcc.Gui.Key_Event);
end Room_Dialog;
